program main

  real, dimension(5) :: x

  interface
     subroutine incb(a)
     real, dimension(:) :: a
     end subroutine incb
  end interface

  x = 0.
  call incb(x)
  print *, x
      
end program main

subroutine incb(a)

! this is a fortran90 style subroutine

  real, dimension(:) :: a
      
  a = a + 1.

end subroutine incb
